# Get Test Driven Development

Test Driven Development is programming practice where:

- Tests are written before executable code
- Code is updated to make the tests pass
- Code is refactored to improve its design

This is commonly known as Red, Green and Refactor.

## Requirements

- NodeJs
- npm

## Getting started

- `npm run dev`
- `npm run watch-tests`

## Calculator API

- Receives and responds in JSON
- Validates inputs
- Features health, add and multiply routes
